local fn = _gn(0xE861D0B05C7662B8)
--- It makes the ped lose (or not lose) their props (like glasses or helmets/hat) when someone punches or pushes the ped.
-- This is probably what's being used in GTA:O to keep players from knocking other player's hats/glasses off when in combat.
-- @param ped The target ped
-- @param loseProps true = allow props to fall off, false = don't let props fall off
-- @param p2 purpose unknown, usually 0
function Global.SetPedCanLosePropsOnDamage(ped, loseProps, p2)
	return fn(ped, loseProps, p2)
end
